FetchingSessionUtil (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.server.session

## Class FetchingSessionUtil

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.server.session.FetchingSessionUtil

-     public class FetchingSessionUtil
      extends Object

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FetchingSessionUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FetchingSession<? extends FetchingElement>` | `createFetchingSession(CloseableIterator<? extends FetchingElement> source, SearchResultType type, org.gcube.application.framework.core.session.ASLSession session)`
    `static FetchingSession<Occurrence>` | `createOccurrenceFetchingSession(CloseableIterator<Occurrence> source, org.gcube.application.framework.core.session.ASLSession session)`
    `protected static FetchingSession<ResultRow>` | `createSpeciesProductFetchingSession(CloseableIterator<ResultRow> source, org.gcube.application.framework.core.session.ASLSession session)`
    `protected static FetchingSession<TaxonomyRow>` | `createTaxonomyItemFetchingSession(CloseableIterator<TaxonomyRow> source, org.gcube.application.framework.core.session.ASLSession session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FetchingSessionUtil

          public FetchingSessionUtil()

  - ### Method Detail

    - #### createFetchingSession

          public static FetchingSession<? extends FetchingElement> createFetchingSession(CloseableIterator<? extends FetchingElement> source,
                                                                         SearchResultType type,
                                                                         org.gcube.application.framework.core.session.ASLSession session)
                                                                                  throws Exception

      Throws:
        `Exception`

    - #### createSpeciesProductFetchingSession

          protected static FetchingSession<ResultRow> createSpeciesProductFetchingSession(CloseableIterator<ResultRow> source,
                                                                       org.gcube.application.framework.core.session.ASLSession session)
                                                                                   throws Exception

      Throws:
        `Exception`

    - #### createTaxonomyItemFetchingSession

          protected static FetchingSession<TaxonomyRow> createTaxonomyItemFetchingSession(CloseableIterator<TaxonomyRow> source,
                                                                       org.gcube.application.framework.core.session.ASLSession session)
                                                                                   throws Exception

      Throws:
        `Exception`

    - #### createOccurrenceFetchingSession

          public static FetchingSession<Occurrence> createOccurrenceFetchingSession(CloseableIterator<Occurrence> source,
                                                                    org.gcube.application.framework.core.session.ASLSession session)
                                                                             throws Exception

      Throws:
        `Exception`

Copyright © 2013. All Rights Reserved.